import sharedInterfaces.*;
import dataServerDomain.*;
import guiDomain.*;
import graphicsDomain.*;


public class EScope7
{
    public static void main(String args[])
    {
        new EScope7();
    }

    public EScope7()
    {   // create domains
	GuiFacadeInterface gui = new GuiFacade();
	AbstractGraphicsFacade graph = new GraphicsFacade();
	DataServerFacadeInterface data = new DataServerFacade();
	// associate domains with each other
	gui.initialise(data, graph);
    }
}
